Bug 814951 - Upgrade from F16 -> F17 Beta breaks Intel Centrino Ultimate-N 6300 WiFi
Upgrade from F16 -> F17 Beta breaks Intel Centrino Ultimate-N 6300 WiFi
Product: Fedora
Classification: Fedora
Component: iwl6000-firmware (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-21 10:35 EDT by Tobias Vogel
Modified: 2012-05-07 03:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-07 03:10:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmesg, iwconfig, nm-tool (2.50 KB, text/plain)
2012-04-21 10:35 EDT, Tobias Vogel
no flags Details
complete dmesg output (59.06 KB, text/plain)
2012-04-24 16:05 EDT, Tobias Vogel
no flags Details

  None (edit)
Description Tobias Vogel 2012-04-21 10:35:22 EDT
Created attachment 579190 [details]
Output of dmesg, iwconfig, nm-tool

Description of problem:
After Upgrade from F16 -> F17 Beta, the previously working Centrino-builtin Ultimate-N 6300 WiFi is broken.

Version-Release number of selected component (if applicable):
Don't actually know how to find component being responsible for failure

How reproducible:
Upgrade from F16 using YUM according to the guide at http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_16_-.3E_Fedora_17

Steps to Reproduce:
1. Convert filesystem
2. Upgrade
3. reboot
Actual results:
Wifi broken

Expected results:
Wifi working as before upgrade

Additional info:
System is Samsung NP900X3A Ultrabook
Comment 1 John W. Linville 2012-04-23 10:38:48 EDT
Can we see the complete dmesg output?

Can you be more specific about the problem?  "Wifi broken" may seem descriptive, but it really doesn't point in any particular direction.
Comment 2 Tobias Vogel 2012-04-24 14:39:22 EDT
I'll send the complete dmesg output later the day.

It's actually quite strange, it really looks like the interface just doesn't come up.
Obviously it's detected correctly but the NetworkManager just says wireless network was not ready.
Comment 3 Tobias Vogel 2012-04-24 16:05:42 EDT
Created attachment 579982 [details]
complete dmesg output
Comment 4 Tobias Vogel 2012-05-06 09:32:08 EDT
Problem has gone since the last yum update.
Comment 5 Stanislaw Gruszka 2012-05-07 03:10:05 EDT
Closing per above comment.

Note You need to log in before you can comment on or make changes to this bug.